using System;
using Microsoft.Xna.Framework.Content.Pipeline;
using Microsoft.Xna.Framework.Content.Pipeline.Processors;

using TInput = Microsoft.Xna.Framework.Content.Pipeline.Graphics.EffectContent;
using TOutput = DerivedEffects.DerivedEffect;

namespace DerivedEffects.Pipeline
{
  [ContentProcessor(DisplayName = "Effect  Derived Effects")]
  public class DerivedEffectProcessor : ContentProcessor<TInput, TOutput>
  {
    public override TOutput Process(TInput input, ContentProcessorContext context)
    {
      EffectProcessor compiler = new EffectProcessor();
      CompiledEffectContent compiledContent = compiler.Process(input, context);
      return new TOutput(compiledContent.GetEffectCode());
    }
  }
}
