using System;
using Microsoft.Xna.Framework.Content;

using TRead = DerivedEffects.DerivedEffect;

namespace DerivedEffects
{
  public class DerivedEffectReader : ContentTypeReader<TRead>
  {
    protected override TRead Read(ContentReader input, TRead existingInstance)
    {
      int size = input.ReadInt32();
      byte[] code = input.ReadBytes(size);
      return new TRead(code);
    }
  }
}

