﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework;
using XNATutorial.Effects.Interfaces;

namespace XNATutorial.Effects
{
    abstract class BaseEffect : Effect, IEffect
    {
        public Matrix World { get; set; }
        public Matrix View { get; set; }
        public Matrix Projection { get; set; }

        public BaseEffect(GraphicsDevice graphicsDevice, byte[] effectCode)
          : base(graphicsDevice, effectCode)
        {
        }

        protected BaseEffect(Effect cloneSource) : base(cloneSource) {}
    }
}
