using System;
using Microsoft.Xna.Framework.Content.Pipeline;
using Microsoft.Xna.Framework.Content.Pipeline.Serialization.Compiler;

using TWrite = DerivedEffects.DerivedEffect;

namespace DerivedEffects.Pipeline
{
  [ContentTypeWriter]
  public class DerivedEffectWriter : ContentTypeWriter<TWrite>
  {
    protected override void Write(ContentWriter output, TWrite value)
    {
      output.Write(value.CompiledCode.Length);
      output.Write(value.CompiledCode);
    }

    public override string GetRuntimeReader(TargetPlatform targetPlatform)
    {
      return typeof(DerivedEffectReader).AssemblyQualifiedName;
    }
  }
}

